@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css');

:root {
  --primary-color: #1ABC9C;
  --secondary-color: #E74C3C;
  --accent-color: #16A085;
  --light-color: #FFFFFF;
  --dark-color: #34495E;
  --gradient-primary: linear-gradient(135deg, #1ABC9C 0%, #16A085 100%);
  --hover-color: #148F77;
  --background-color: #FEFAE0;
  --text-color: #2C3E50;
  --border-color: rgba(26, 188, 156, 0.2);
  --divider-color: rgba(52, 73, 94, 0.1);
  --shadow-color: rgba(52, 73, 94, 0.1);
  --highlight-color: #F1C40F;
  --main-font: 'Oswald', sans-serif;
  --alt-font: 'Poppins', sans-serif;
}

html { scroll-behavior: smooth; }

.font-main { font-family: var(--main-font); }
.font-alt { font-family: var(--alt-font); }

.bg-color-primary { background-color: var(--primary-color); }
.bg-color-secondary { background-color: var(--secondary-color); }
.bg-color-light { background-color: var(--light-color); }
.bg-color-dark { background-color: var(--dark-color); }
.bg-color-background { background-color: var(--background-color); }

.text-color-primary { color: var(--primary-color); }
.text-color-secondary { color: var(--secondary-color); }
.text-color-dark { color: var(--dark-color); }
.text-color-text { color: var(--text-color); }

.border-color-primary { border-color: var(--primary-color); }
.border-color-secondary { border-color: var(--secondary-color); }
.border-color-border { border-color: var(--border-color); }

.hover-color-primary:hover { color: var(--primary-color); }

.btn-primary {
    background: var(--gradient-primary);
    color: white;
    padding: 15px 35px;
    border-radius: 50px;
    font-weight: 600;
    transition: all 0.3s ease;
    display: inline-block;
    box-shadow: 0 10px 20px rgba(26, 188, 156, 0.3);
}
.btn-primary:hover {
    background: var(--hover-color);
    transform: translateY(-3px);
    box-shadow: 0 15px 25px rgba(26, 188, 156, 0.4);
}

.btn-secondary {
    background: var(--secondary-color);
    color: white;
    padding: 15px 35px;
    border-radius: 50px;
    font-weight: 600;
    transition: all 0.3s ease;
    display: inline-block;
    box-shadow: 0 10px 20px rgba(231, 76, 60, 0.3);
}
.btn-secondary:hover {
    background: #C0392B;
    transform: translateY(-3px);
}

.hero-section {
    height: 75vh;
    background: linear-gradient(rgba(52, 73, 94, 0.4), rgba(52, 73, 94, 0.4)), url('./img/bg.jpg') no-repeat center center/cover;
}

.cta-section {
    padding-top: 10dvh;
    padding-bottom: 10dvh;
    background: url('./img/bg.jpg') no-repeat center center/cover;
    background-attachment: fixed;
}

.neumorph {
    box-shadow: 10px 10px 20px #d6d3bd, -10px -10px 20px #ffffff;
}
.bg-white.neumorph {
    box-shadow: 10px 10px 20px #e6e6e6, -10px -10px 20px #ffffff;
}

details > summary { list-style: none; }
details > summary::-webkit-details-marker { display: none; }